Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

DELETE /api-keys/

Dieser Endpunkt widerruft und löscht einen API-Schlüssel dauerhaft. Nach dem Widerruf kann der Schlüssel nicht mehr zur Authentifizierung verwendet werden.
Diese Aktion ist irreversibel. Ein widerrufener API-Schlüssel kann nicht wiederhergestellt werden.
Sie können nicht den API-Schlüssel widerrufen, mit dem die aktuelle Anfrage authentifiziert wird.

Pfadparameter

keyId
string
erforderlich
Kennung des zu widerrufenden API-Schlüssels.

Antwort

success
boolean
Ob der Schlüssel erfolgreich widerrufen wurde.
message
string
Statusmeldung.
curl -X DELETE https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "message": "API key revoked successfully"
}